Page MenuHomePhabricator

Engage with Communities about rollout of CompletionSuggester
Closed, ResolvedPublic

Description

The current Completion suggester beta feature is moving out of beta and into production in the near future. Let's remind folks of the beta feature for more testing and prep them for the coming change. This will have a (positive) impact on desktop top search box, portal search box, VE link inspector, and mobile app search.

Notes from initial conversation:
https://etherpad.wikimedia.org/p/CompletionSuggesterRollout

Draft announcement:
https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Work/Completion_Suggester_beta_reminder_and_coming_soon

Event Timeline

CKoerner_WMF updated the task description. (Show Details)
CKoerner_WMF raised the priority of this task from to Needs Triage.
CKoerner_WMF claimed this task.
CKoerner_WMF added a subscriber: CKoerner_WMF.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptFeb 8 2016, 9:31 PM
CKoerner_WMF set Security to None.
CKoerner_WMF moved this task from Needs triage to Liaison on the Discovery board.Feb 8 2016, 10:05 PM
Johan added a subscriber: Johan.Feb 9 2016, 12:27 AM

Do you have a rough idea when you plan for this to go out of beta?

@Johan At the end of this quarter (March 31st I believe) at the latest.

@Deskana, can you help me list the changes this will bring? Something mere mortals such as myself can understand? :)

  1. CompletionSuggester will now tolerate 2 misspelled words and still show relevant results
  2. Results will be weighted...?

This will impact:

  1. top search box
  2. portal search box
  3. VisualEditor link inspector
  4. Search in mobile app search

#???

Elitre added a subscriber: Elitre.Feb 11 2016, 3:26 PM
Deskana triaged this task as High priority.Feb 12 2016, 10:14 PM

@Deskana, can you help me list the changes this will bring? Something mere mortals such as myself can understand? :)

  1. CompletionSuggester will now tolerate 2 misspelled words and still show relevant results

I would suggest that we simply state "better at detecting typos and spelling mistakes" rather than being specific, since we may be able to improve in the future, or may need to tweak the specifics.

  1. Results will be weighted...?

We could say "improved search result rankings", and just leave it at that. There's a variety of things we did under the hood, most of it not particularly interesting to the average reader, or too complex.

This will impact:

  1. top search box
  2. portal search box
  3. VisualEditor link inspector
  4. Search in mobile app search

All these things! We could also add that "anyone who's using our API", which may be a bit overly technical depending on the audience. We can calibrate that language.

CKoerner_WMF updated the task description. (Show Details)Feb 23 2016, 5:54 PM

Adding a link to the Tech News mention of this! https://meta.wikimedia.org/wiki/Tech/News/2016/07

TheDJ added a subscriber: TheDJ.Feb 23 2016, 7:51 PM

I've got a draft here (with gifs!):

From: http://taskwarrior.org/docs/advice.html

A looping, animated GIF will be watched over and over, scrutinized and understood. A paragraph of text will be ignored.

So 👍

CKoerner_WMF added a comment.EditedFeb 25 2016, 10:11 PM

Barring any strangeness this will go out to wikitech-l, discovery-request-l, and Village Pump Technical on Friday the 26th. https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Work/Completion_Suggester_beta_reminder_and_coming_soon

Qgil awarded a token.Feb 25 2016, 11:14 PM
CKoerner_WMF added a comment.EditedMar 3 2016, 4:26 PM

Draft announcement of initial rollout to production wikis is here: https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Work/Completion_Suggester_inital_rollout

Feedback welcome. Plans are to mark for translation and share with folks early in the week of March 7th.

Looks good to me. The "(which does this, this and that)" needs replacing with actual prose, but otherwise I think this is good to go.

I replaced it with "(which has improved search result ordering, tolerance for a small number of spelling errors, and suggests fewer typos)". Feedback on that welcome.

Other liaisons have recommended publishing this on local Village Pumps. The best way to do so is to have it translated. Do we have a specific list of language-projects we want to target? It is going to be easier to get translations for/from the larger language projects than the smaller ones, which is what we're targeting for this initial release.

@EBernhardson See above. We could do with being specific about where it's rolling out next week, rather than just "smaller wikis", so that Chris can target his communication.

List of first round wikis: T128775

Second round: T128776

Announcement went out on March 7th for the first round of wikis. Requested translation for second round (top 12 wikis). Will send message via Special:MassMessage on Monday, March 11th (or sooner if we have translations).

https://meta.wikimedia.org/wiki/User:CKoerner_(WMF)/Work/Completion_Suggester_inital_rollout

Posted to all Wiki village pumps for the top 12 wikis.

CKoerner_WMF closed this task as Resolved.Mar 22 2016, 3:29 PM

The initial rollout came and went. (Blog post here if interested: http://blog.wikimedia.org/2016/03/17/completion-suggester-find-what-you-need/)

There were a few tasks filed to correct issues with accents and special characters, but otherwise a well-received rollout (from a community perspective). I'm marking this as resolved.